=== debian/changelog ===
python-podman (4.7.0-2) unstable; urgency=medium

  * d/patches: Fix metadata
  * Source-only build

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 03 Oct 2023 11:52:57 +0200

python-podman (4.7.0-1) unstable; urgency=low

  * Initial release (Closes: #1053253).

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 28 Sep 2023 15:34:38 +0200
