=== debian/control ===
Source: python-podman
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Build-Depends-Indep:
 python3-xdg,
 python3-testtools,
 python3-requests-mock,
Standards-Version: 4.6.0
Homepage: https://github.com/containers/podman-py
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-podman
Vcs-Git: https://salsa.debian.org/python-team/packages/python-podman.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-podman
Architecture: all
Depends:
 python3-xdg,
 python3-requests,
 python3-urllib3,
 python3-tomli,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 wrapper to access podman's interface
 This package contains oodles of routines that aid in controlling
 podman over it's RESTful API.
 .
 This package provides Python 3 module bindings.
