## python-podman 5.3.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-main} HEAD)
 HEAD ?= HEAD
 
-export PODMAN_VERSION ?= "4.7.0"
+export PODMAN_VERSION ?= "5.3.0"
 
 .PHONY: podman
 podman:
@@ -24,7 +24,7 @@
 .PHONY: tests
 tests: tox
 	# see tox.ini for environment variable settings
-	$(PYTHON) -m tox -e pylint,coverage,py36,py38,py39,py310,py311
+	$(PYTHON) -m tox -e coverage,py39,py310,py311,py312,py313
 
 .PHONY: unittest
 unittest:
@@ -39,9 +39,9 @@
 .PHONY: tox
 tox:
 ifeq (, $(shell which dnf))
-	brew install python@3.8 python@3.9 python@3.10 python@3.11
+	brew install python@3.9 python@3.10 python@3.11 python@3.12 python@3.13
 else
-	-dnf install -y python3 python3.6 python3.8 python3.9
+	-dnf install -y python3 python3.9 python3.10 python3.11 python3.12 python3.13
 endif
 	# ensure tox is available. It will take care of other testing requirements
 	$(PYTHON) -m pip install --user tox
@@ -60,13 +60,9 @@
 
 .PHONY: docs
 docs:
-	mkdir -p _build/doctrees
-	cp -R docs/source/* _build/doctrees
-	sphinx-apidoc --separate --no-toc --force --templatedir build/docs/source/_templates/apidoc \
-		-o _build/doctrees \
-		podman podman/tests
-	# Previous Command: sphinx-build _build/doctrees _build/html
-	#
+	sphinx-apidoc --separate --no-toc --force --templatedir docs/source/_templates/apidoc \
+		-o docs/source/ podman podman/tests
+
 	# HARD CODED COMMAND from readthedocs! We must conform!
 	# -T : traceback
 	# -E : do not use saved environment, always read all files
@@ -76,7 +72,7 @@
 	# -D language=en : define language as en
 	# . : source directory
 	# _build/html : target
-	cd _build/doctrees && python3 -m sphinx -T -E -W --keep-going -b html -d _build/doctrees -D language=en . _build/html
+	cd docs/source && python3 -m sphinx -T -E -W --keep-going -b html -d _build/doctrees -D language=en . _build/html
 
 .PHONY: rpm
 rpm: ## Build rpm packages
