=== debian/changelog ===
python-podman (5.3.0-3) unstable; urgency=medium

  * skip tests that cannot run on riscv64

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 05 Dec 2024 16:00:06 +0100

python-podman (5.3.0-2) unstable; urgency=medium

  * Team upload.
  * fix: /run/user/ is based on UID not username
  * Remove smokecheck test.
  * Run test suite in autopkgtest, both in Salsa CI and full isolation
    with /dev/fuse.

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 04 Dec 2024 12:43:42 +0100

python-podman (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.0
  * use Debian's default XDG_RUNTIME_DIR instead of random tmp dir

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 30 Nov 2024 17:45:03 +0100
