## python-podman 5.4.0.1

=== Makefile ===
--- 
+++ 
@@ -8,22 +8,30 @@
 EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-main} HEAD)
 HEAD ?= HEAD
 
-export PODMAN_VERSION ?= "5.3.0"
+export PODMAN_VERSION ?= "5.4.0"
 
 .PHONY: podman
 podman:
 	rm dist/* || :
-	$(PYTHON) -m pip install --user -r requirements.txt
+	$(PYTHON) -m pip install -q build
 	PODMAN_VERSION=$(PODMAN_VERSION) \
-	$(PYTHON) setup.py sdist bdist bdist_wheel
+	$(PYTHON) -m build
 
 .PHONY: lint
 lint: tox
-	$(PYTHON) -m tox -e black,pylint
+	$(PYTHON) -m tox -e format,lint
 
 .PHONY: tests
 tests: tox
 	# see tox.ini for environment variable settings
+	$(PYTHON) -m tox -e coverage,py39,py310,py311,py312,py313
+
+.PHONY: tests-ci-base-python
+tests-ci-base-python:
+	$(PYTHON) -m tox -e coverage,py
+
+.PHONY: tests-ci-all-python
+tests-ci-all-python:
 	$(PYTHON) -m tox -e coverage,py39,py310,py311,py312,py313
 
 .PHONY: unittest
