=== debian/changelog ===
python-podman (5.4.0.1-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-tomli dependency overide

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:20:05 +0200

python-podman (5.4.0.1-2) unstable; urgency=medium

  * Team upload.
  * skip tests when the test image is not available (e.g. 32-bit)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 10 Mar 2025 19:06:01 +0100

python-podman (5.4.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.4.0.1

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 06 Mar 2025 12:09:25 +0100
