=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
+ python3-fixtures,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
@@ -15,7 +16,7 @@
  python3-xdg,
  python3-testtools,
  python3-requests-mock,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/podman-py
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-podman
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-podman.git
@@ -28,7 +29,6 @@
  python3-xdg,
  python3-requests,
  python3-urllib3,
- python3-tomli,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python 3 wrapper to access podman's interface
@@ -36,4 +36,3 @@
  podman over it's RESTful API.
  .
  This package provides Python 3 module bindings.
-
