=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=podman
export PYBUILD_BEFORE_TEST=rm -rf {dir}/podman/tests/integration
export PYBUILD_TEST_ARGS=-s podman/tests/unit

%:
	dh $@ --buildsystem=pybuild
