=== debian/tests/control ===
# This should run anywhere, like Salsa CI, without /dev/fuse support.
Tests: unittests
Depends:
 @builddeps@,
 buildah,
 catatonit,
 dbus-user-session,
 fuse-overlayfs,
 podman,
 python3-pytest,
 python3-requests-mock,
 slirp4netns,
 uidmap,
Restrictions: allow-stderr, needs-internet

# This should provide /dev/fuse, and run the full test suite.
Tests: unittests
Depends:
 @builddeps@,
 buildah,
 catatonit,
 dbus-user-session,
 fuse-overlayfs,
 podman,
 python3-pytest,
 python3-requests-mock,
 slirp4netns,
 uidmap,
Restrictions: allow-stderr, isolation-machine, needs-internet, skippable
