=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/podman-py-$1\.tar\.gz/ \
  https://github.com/containers/podman-py/tags .*/v?(\d\S+)\.tar\.gz
